Summary:    A set of system configuration and setup files
Name:       setup
Version:    2.7.20
Release:    %mkrel 1
License:    public domain
Group:      System/Configuration/Other
Url:        http://www.mageia.org/
Source:     %{name}-%{version}.tar.bz2
Requires:   shadow-utils
Requires(posttrans): shadow-utils
# prevent the shell to fail running post script:
Requires(posttrans): glibc
# for backward compatibility, to remove when other packages correctly require run-parts directly:
Requires:   run-parts

%description
The setup package contains a set of very important system
configuration and setup files, such as passwd, group,
profile and more.

You should install the setup package because you will
find yourself using its many features for system
administration.


%prep
%setup -q

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall_std

%pre
# due to important new group additions, we need to add them manually here if they
# don't already exist because rpm will create group.rpmnew instead
if [ -f /etc/group ]; then
    grep -q '^auth:' /etc/group || %_pre_groupadd auth
    # be a little fancy here in case this is an upgrade and the user hasn't migrated to tcb yet
    if [ "`grep -q '^shadow:' /etc/group; echo $?`" == 1 ]; then
        %_pre_groupadd shadow
        if [ -f /etc/shadow ]; then
            chmod 0440 /etc/shadow && chgrp shadow /etc/shadow
        fi
    fi
    grep -q '^chkpwd:' /etc/group || %_pre_groupadd chkpwd
    grep -q '^dialout:' /etc/group || %_pre_groupadd dialout
fi


%files
%doc NEWS
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/passwd
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/fstab
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/resolv.conf
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/group
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/hosts
%config(noreplace) %{_sysconfdir}/services
%config(noreplace) %{_sysconfdir}/inputrc
%config(noreplace) %{_sysconfdir}/filesystems
%config(noreplace) %{_sysconfdir}/host.conf
%config(noreplace) %{_sysconfdir}/hosts.allow
%config(noreplace) %{_sysconfdir}/hosts.deny
%config(noreplace) %{_sysconfdir}/motd
%config(noreplace) %{_sysconfdir}/printcap
%config(noreplace) %{_sysconfdir}/profile
%config(noreplace) %{_sysconfdir}/shells
%config(noreplace) %{_sysconfdir}/protocols
%attr(0644,root,root) %config(missingok,noreplace) %{_sysconfdir}/securetty
%config(noreplace) %{_sysconfdir}/csh.login
%config(noreplace) %{_sysconfdir}/csh.cshrc
%ghost %verify(not md5 size mtime) /var/log/lastlog
# Already own in util-linux ( linked to /proc/mount )
%exclude %_sysconfdir/mtab

%posttrans
pwconv 2>/dev/null >/dev/null  || :
grpconv 2>/dev/null >/dev/null  || :

[ -f /var/log/lastlog ] || echo -n '' > /var/log/lastlog

if [ -x /usr/sbin/nscd ]; then
	nscd -i passwd -i group || :
fi


%changelog

* Thu Mar 15 2012 kamil <kamil> 2.7.20-1.mga2
+ Revision: 223507
- remove run-parts from this package, it's packaged separately

* Thu Mar 15 2012 guillomovitch <guillomovitch> 2.7.19-1.mga2
+ Revision: 223489
- drop old migration trigger
- new version

* Tue Oct 25 2011 dmorgan <dmorgan> 2.7.18-5.mga2
+ Revision: 157976
- Really do not package mtab
- Remove unneeded rpmstuff
- Remove occurency to mtab ( tks to sander85)
- mtab is owned by util-linux now

* Wed Jan 12 2011 blino <blino> 2.7.18-3.mga1
+ Revision: 6778
- update url
- remove old conflicts
- imported package setup

